#!/bin/sh
#
# $FreeBSD: ports/net/freenet6/files/freenet6.sh.in,v 1.4 2004/12/13 21:38:32 edwin Exp $
#

#
# PROVIDE: freenet6
# REQUIRE: LOGIN
# AFTER: network
# KEYWORD: FreeBSD shutdown
#

#
# Start or stop the IPv6 tunnel to Freenet6.net
#
# Add the following lines to /etc/rc.conf to enable freenet6:
#
# freenet6_enable="YES"
# freenet6_flags="-f /usr/local/etc/tspc.conf"
#

. /etc/rc.subr

name=freenet6
rcvar=`set_rcvar`

command=/usr/local/bin/tspc
required_files=/usr/local/etc/tspc.conf

# set defaults

freenet6_enable=${freenet6_enable:-"NO"}
freenet6_flags=${freenet6_flags:-"-f /usr/local/etc/tspc.conf"}

load_rc_config $name
run_rc_command "$1"
